/* eslint-disable @typescript-eslint/no-empty-interface */
// Generated code for namespace: org.accordproject.ciceromark

// imports
import {IChild,INode,IList} from './org.accordproject.commonmark';

// interfaces
export interface IClause extends IChild {
   clauseid: string;
   src: string;
}

export interface IVariableValue extends IChild {
   value: string;
   format?: string;
}

export interface IIdentifiedVariableValue extends IVariableValue {
   id: string;
}

export interface IVariable extends IIdentifiedVariableValue {
}

export interface IComputedVariable extends IVariableValue {
}

export interface IConditionalVariable extends IIdentifiedVariableValue {
   whenTrue: string;
   whenFalse: string;
}

export interface IListVariable extends IList {
}

